amf:
  system:
    display: "System Config"
    sort: 1
    list:
      - name: "amfName"
        type: "string"
        value: "AMF"
        access: "read-write"
        filter: "0~64"
        display: "AMF Name"
        comment: ""
        visible: "self"
      - name: "relativeCapacity"
        type: "int"
        value: "255"
        access: "read-write"
        filter: "0~255"
        display: "Relative Capacity"
        comment: "0~255"
        visible: "self"
      - name: "sbiScheme"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"http","1":"https"}'
        display: "SBI Scheme"
        comment: ""
      - name: "sbiServerIp"
        type: "string"
        value: "192.168.1.183"
        access: "read-write"
        filter: "0~64"
        display: "SBI Server IP"
        comment: ""
        visible: "self"
      - name: "sbiServerPort"
        type: "int"
        value: "8080"
        access: "read-write"
        filter: "0~65535"
        display: "SBI Server Port"
        comment: "0~65535"
      - name: "nrfEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "NRF Enabled"
        comment: ""
      - name: "nrfUri"
        type: "string"
        value: "http://172.16.5.180:8080"
        access: "read-write"
        filter: "0~64"
        display: "NRF URI"
        comment: ""
      - name: "ausfUri"
        type: "string"
        value: "http://172.16.5.130:8080"
        access: "read-write"
        filter: "0~64"
        display: "AUSF URI"
        comment: ""
      - name: "udmUri"
        type: "string"
        value: "http://172.16.5.140:8080"
        access: "read-write"
        filter: "0~64"
        display: "UDM URI"
        comment: ""
      - name: "smfUri"
        type: "string"
        value: "http://172.16.5.150:8080"
        access: "read-write"
        filter: "0~64"
        display: "SMF URI"
        comment: ""
      - name: "pcfUri"
        type: "string"
        value: "http://172.16.5.160:8080"
        access: "read-write"
        filter: "0~64"
        display: "PCF URI"
        comment: ""
      - name: "backupAusfUri"
        type: "string"
        value: "http://172.16.5.131:8080"
        access: "read-write"
        filter: "0~64"
        display: "Backup AUSF URI"
        comment: ""
      - name: "backupUdmUri"
        type: "string"
        value: "http://172.16.5.141:8080"
        access: "read-write"
        filter: "0~64"
        display: "Backup UDM URI"
        comment: ""
      - name: "backupSmfUri"
        type: "string"
        value: "http://172.16.5.151:8080"
        access: "read-write"
        filter: "0~64"
        display: "Backup SMF URI"
        comment: ""
      - name: "backupPcfUri"
        type: "string"
        value: "http://172.16.5.161:8080"
        access: "read-write"
        filter: "0~64"
        display: "Backup PCF URI"
        comment: ""
      - name: "lmfUri"
        type: "string"
        value: "http://172.16.5.200:8080"
        access: "read-write"
        filter: "0~64"
        display: "LMF URI"
        comment: ""
      - name: "nefUri"
        type: "string"
        value: "http://172.16.5.210:8080"
        access: "read-write"
        filter: "0~64"
        display: "NEF URI"
        comment: ""
      - name: "imeiRestrictionEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "IMEI Restriction Enabled"
        comment: ""
      - name: "allowedImeiPrefix"
        type: "string"
        value: "869583045"
        access: "read-write"
        filter: "0~128"
        display: "Allowed IMEI Prefix"
        comment: ""
      - name: "dnnCorrectionEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "DNN Correction Enabled"
        comment: ""
      - name: "defaultDnn"
        type: "string"
        value: "internet"
        access: "read-write"
        filter: "0~64"
        display: "Default DNN"
        comment: ""
      - name: "integrityAlgorithm"
        type: "enum"
        value: "2"
        access: "read-write"
        filter: '{"0":"NIA0","1":"NIA1","2":"NIA2","3":"NIA3"}'
        display: "Integrity Algorithm"
        comment: ""
      - name: "cipheringAlgorithm"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"NEA0","1":"NEA1","2":"NEA2","3":"NEA3"}'
        display: "Ciphering Algorithm"
        comment: ""
      - name: "t3502"
        type: "int"
        value: "720"
        access: "read-write"
        filter: "1~65535"
        display: "T3502"
        comment: ""
      - name: "t3512"
        type: "int"
        value: "3600"
        access: "read-write"
        filter: "1~65535"
        display: "T3512"
        comment: ""
      - name: "t3513"
        type: "int"
        value: "2"
        access: "read-write"
        filter: "1~65535"
        display: "T3513"
        comment: ""
      - name: "t3522"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3522"
        comment: ""
      - name: "t3550"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3550"
        comment: ""
      - name: "t3555"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3555"
        comment: ""
      - name: "t3560"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3560"
        comment: ""
      - name: "t3565"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3565"
        comment: ""
      - name: "t3570"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3570"
        comment: ""
  association:
    display: "TNL Association List"
    sort: 3
    visible: "self"
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "ngapIp"
        type: "string"
        value: "192.168.1.183"
        access: "read-write"
        filter: "0~64"
        display: "NGAP IP"
        comment: ""
      - name: "ngapSctpPort"
        type: "int"
        value: "38412"
        access: "read-write"
        filter: "0~65535"
        display: "NGAP SCTP Port"
        comment: "0~65535"
      - name: "weightFactor"
        type: "int"
        value: "255"
        access: "read-write"
        filter: "0~255"
        display: "Weight"
        comment: "0~255"
  guami:
    display: "GUAMI List"
    sort: 5
    visible: "self"
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "plmnId"
        type: "regex"
        value: "00101"
        access: "read-write"
        filter: "^[0-9]{5,6}$"
        display: "PLMN ID"
        comment: ""
      - name: "regionId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: "0~255"
        display: "Region ID"
        comment: "0~255"
      - name: "setId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: "0~1023"
        display: "Set ID"
        comment: "0~1023"
      - name: "pointer"
        type: "int"
        value: "1"
        access: "read-write"
        filter: "0~63"
        display: "Pointer"
        comment: "0~63"
  tai:
    display: "TAI List"
    sort: 7
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "plmnId"
        type: "regex"
        value: "00101"
        access: "read-write"
        filter: "^[0-9]{5,6}$"
        display: "PLMN ID"
        comment: ""
      - name: "tac"
        type: "string"
        value: "1"
        access: "read-write"
        filter: "0~8"
        display: "TAC"
        comment: "0~16777215"
  slice:
    display: "Slice List"
    sort: 9
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "plmnId"
        type: "regex"
        value: "00101"
        access: "read-write"
        filter: "^[0-9]{5,6}$"
        display: "PLMN ID"
        comment: ""
      - name: "sst"
        type: "int"
        value: "1"
        access: "read-write"
        filter: "0~127"
        display: "SST"
        comment: "0~127"
      - name: "sd"
        type: "regex"
        value: "000001"
        access: "read-write"
        filter: "^[A-Fa-f0-9]{6}"
        display: "SD"
        comment: ""
  systemFeatOpt:
    display: "System FeatOpt"
    sort: 11
    list:
      - name: "dnnCorrectionEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "dnnCorrectionEnabled"
        comment: ""
      - name: "gutiReallocationInPRUEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "gutiReallocationInPRUEnabled"
        comment: ""
      - name: "ueRadioCapabilityMatchEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "ueRadioCapabilityMatchEnabled"
        comment: ""
      - name: "supportFollowOnRequestIndication"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "supportFollowOnRequestIndication"
        comment: ""
      - name: "triggerInitCtxSetupForAllNASProc"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "triggerInitCtxSetupForAllNASProc"
        comment: ""
      - name: "supportAllAllowedNssai"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "supportAllAllowedNssai"
        comment: ""
      - name: "implicitUnsubscribeEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "implicitUnsubscribeEnabled"
        comment: ""
      - name: "supportRRCInactiveReport"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "supportRRCInactiveReport"
        comment: ""
      - name: "supportMappedSecurityContext"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "supportMappedSecurityContext"
        comment: ""
      - name: "optimizeSignalingProcedure"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "optimizeSignalingProcedure"
        comment: ""
      - name: "reAuthInServiceRequestProc"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "reAuthInServiceRequestProc"
        comment: ""
      - name: "skipGetSubscribedNssai"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "skipGetSubscribedNssai"
        comment: ""
      - name: "forceIdentityRequest"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "forceIdentityRequest"
        comment: ""
      - name: "cagEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "cagEnabled"
        comment: ""
      - name: "imeiRestrictionEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "imeiRestrictionEnabled"
        comment: ""
      - name: "checkSliceInTaEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "checkSliceInTaEnabled"
        comment: ""
      - name: "uePolicyEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "uePolicyEnabled"
        comment: ""
      - name: "smsOverNasEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "smsOverNasEnabled"
        comment: ""
      - name: "statusReportToOmc"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "statusReportToOmc"
        comment: ""
      - name: "statusReportEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "statusReportEnabled"
        comment: ""
  gnbList:
    display: "Gnb List Config"
    sort: 13
    visible: "hide"
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~128"
        display: "Index"
        comment: "0~128"
      - name: "name"
        type: "string"
        value: ""
        access: "read-write"
        filter: "0~64"
        display: "GNB Name"
        comment: "text content length 0~64"
      - name: "address"
        type: "string"
        value: ""
        access: "read-write"
        filter: "0~64"
        display: "GNB Address"
        comment: "text content length 0~64"
      - name: "position"
        type: "string"
        value: ""
        access: "read-write"
        filter: "0~64"
        display: "Position"
        comment: "location description. Prohibition of spaces, length of text content 0-64"
  imeiWhitelist:
    display: "IMEI White List"
    sort: 15
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~65535"
        display: "Index"
        comment: "0~65535"
      - name: "imeiPrefixValue"
        type: "string"
        value: ""
        access: "read-write"
        filter: "^[a-zA-Z0-9]{0,16}$"
        display: "IMEI Prefix"
        comment: ""
